import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { OnBalanceVolumeIndicator } from "./OnBalanceVolumeIndicator";
/**
 * Represents a IgxDataChartComponent On Balance Bolume indicator series.
 * Default required members: Close, Volume
*
* You can use the `IgrOnBalanceVolumeIndicator` to calculate a running total of sales volume for a stock.
*/
export class IgrOnBalanceVolumeIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new OnBalanceVolumeIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
}
